pskc_verify_x509crt(3)

NAME
pskc_verify_x509crt - API function

SYNOPSIS
#include <pskc.h>

int pskc_verify_x509crt(pskc_t * container, const char * cert_file, int * valid_signature);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

const char * cert_file
    filename of file containing trusted X.509 certificate.

int * valid_signature
    output variable with result of verification.

DESCRIPTION
Verify signature in PSKC data against trusted X.509 certificate.

RETURNS
On success, PSKC_OK (zero) is returned, or an error code.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://oath-toolkit.codeberg.page/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2009-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.